﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Karpach.IMDB;

namespace Karpach.IMDBTests
{
    [TestClass]
    public class ServerTest
    {
        [TestMethod]
        public void GetMovieTitleWithYearTest()
        {
            var server = new Server();
            var title = server.GetMovieTitleWithYear("OUR_IDIOT_BROTHER");
            Assert.AreEqual("Our Idiot Brother (2011)", title);
            title = server.GetMovieTitleWithYear("PRRR_CHHH_MKNK");
            Assert.AreEqual("Prrr Chhh Mknk", title);
            title = server.GetMovieTitleWithYear("GLADIATOR");
            Assert.AreEqual("Gladiator (2000)", title);                     
        }
    }
}
